#pragma once

#include <cstdint>

namespace render {
namespace kernel {

class ManagedObject
{
protected:
    uint32_t object;
public:
    ManagedObject() noexcept;
    ManagedObject(const ManagedObject&) = delete;
    virtual ~ManagedObject() noexcept;
};

}
}
